# Interface ProgressListener

@Incubating public interface ProgressListener
A listener which is notified when operations that are executed as part of running a build make progress.

Since:
  2.5
See Also:
  - `LongRunningOperation.addProgressListener(ProgressListener)`
  - `LongRunningOperation.addProgressListener(ProgressListener, java.util.Set)`

## Method Summary

Modifier and Type
Method
Description
`void`
`statusChanged(ProgressEvent event)`
Called when the execution of an operation progresses.

## Method Details

### statusChanged

void statusChanged(ProgressEvent event)
Called when the execution of an operation progresses. The following operation-specific events are currently issued:

- `TestStartEvent`
- `TestFinishEvent`
- `TaskStartEvent`
- `TaskFinishEvent`

For all other operations, the following generic events are currently issued :

- `StartEvent`
- `FinishEvent`

You can find out more about the operation for which progress is reported by querying the descriptor using `ProgressEvent.getDescriptor()`.

Parameters:
  `event` - An event describing the operation progress.
See Also:
  - `TestProgressEvent`
  - `TaskProgressEvent`
  - `ProgressEvent`